Bug 241318 - java/javahelp - fix and improve
Summary: java/javahelp - fix and improve
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-10-17 23:59 UTC by Mikhail Teterin
Modified: 2019-11-04 12:57 UTC (History)
1 user (show)

See Also:
makc: maintainer-feedback+


Attachments
Fix up the javahelp port (33.04 KB, patch)
2019-10-17 23:59 UTC, Mikhail Teterin
tobik: maintainer-approval? (makc)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Teterin freebsd_committer 2019-10-17 23:59:54 UTC
Created attachment 208395 [details]
Fix up the javahelp port

The main problem with the port is that it does not fetch.

The less obvious problem is that it does not build from source.

The attached patch does the following:
1. Switches to the official GitHub project for javahelp.
2. Implements compiling from the source code.
3. Removes the docs and the examples -- in this day and age, these seem useless -- one can always find the documentation online.
Comment 1 Tobias Kortkamp freebsd_committer 2019-11-02 20:16:19 UTC
Assign to maintainer.
Comment 2 commit-hook freebsd_committer 2019-11-04 12:52:58 UTC
A commit references this bug:

Author: makc
Date: Mon Nov  4 12:52:47 UTC 2019
New revision: 516638
URL: https://svnweb.freebsd.org/changeset/ports/516638

Log:
  java/javahelp:
  - Update to the final commit from official GitHub repo
  - Build from sources, don't bother to install docs and examples
  - Add LICENSE
  - Update WWW

  PR:		241318
  Submitted by:	Mikhail Teterin (mi@)

Changes:
  head/java/javahelp/Makefile
  head/java/javahelp/distinfo
  head/java/javahelp/files/
  head/java/javahelp/files/jhindexer.in
  head/java/javahelp/files/jhsearch.in
  head/java/javahelp/pkg-descr
  head/java/javahelp/pkg-plist
Comment 3 Max Brazhnikov freebsd_committer 2019-11-04 12:57:22 UTC
Committed with minor changes, thanks!